<?php
include 'config.php';

function send_verification_email($to, $subject, $text) {
    global $smtpConfig;

    $postData = [
        'server' => $smtpConfig['server'],
        'port' => $smtpConfig['port'],
        'email' => $smtpConfig['email'],
        'password' => $smtpConfig['password'],
        'secure' => $smtpConfig['secure'],
        'to' => $to,
        'subject' => $subject,
        'text' => $text
    ];

    $ch = curl_init('https://smtp.i-as.dev/api/mailer');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postData));
    curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);

    $response = curl_exec($ch);
    curl_close($ch);

    return $response === 'success';
}
?>
