<?php
session_start();

if (!isset($_SESSION['username'])) {
    header('Location: login.php');
    exit();
}

$username = $_SESSION['username'];
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center h-screen">
  <div class="bg-white p-6 rounded-lg shadow-lg text-center max-w-lg">
    <h1 class="text-2xl font-bold mb-4">Welcome, <?php echo htmlspecialchars($username); ?>!</h1>
    <a class="px-4 py-2 rounded-md bg-red-500 text-white" href="logout.php">Logout</a>
  </div>
</body>
</html>
